package com.mortals.xhx.flowable.task;

import com.mortals.framework.model.PageInfo;
import com.mortals.xhx.flowable.BaseTaskReq;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Map;

/**
 * 任务参数
 *
 * @author: zxfei
 * @date: 2021/8/26 17:23
 */
@Data
@ApiModel(value = "CommonTaskReq" , description = "任务参数")
public class CommonTaskReq extends BaseTaskReq implements Serializable {
    /**
     * 平台系统标识 必填
     */
    @ApiModelProperty(value = "平台系统标识" , required = true)
    private String platformSn;

    /**
     * 流程变量 选填
     */
    @ApiModelProperty(value = "启动流程变量")
    private Map<String, Object> variables;


    private PageInfo pageInfo;

}
